Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CCamTile Struct Reference

`#include <CamTile.h>`

List of all members.

## Public Methods

- void CalculateForward (uchar *dst, uchar *src)
- void CalculateInverse (uchar *dst, uchar *src)
- void CalcDiffValue (const uchar *src)
- void CopyTile (uchar *dst, const uchar *src)
- void ClearInTile (uchar *dst)
- void ClearOutTile (uchar *dst)

## Public Attributes

- int x
- int y
- int in_offsets [8][8]
- int out_offsets [8][8]
- int abs_value
- int nb_value
- int PCount
- CCamTile* Left
- CCamTile * Top
- CCamTile * Right
- CCamTile * Bottom
- CCamTile* NextZag
- CCamTile* pUsedPrev
- CCamTile * pUsedNext

## Static Public Methods

- int CompareTile (const void *t1, const void *t2)

## Member Function Documentation

void CCamTile::CalcDiffValue ( | const uchar * src )

| Calculate absolute value of difference. Assuming 'src' refers to a Delta panel, calculate the sum of the absolute difference.

void CCamTile::CalculateForward ( | uchar * dst,
| uchar * src )

  | Perform forward DCT calculation. Parameters:
  dst | Destination buffer; uses out_offsets
  src | Source buffer; used in_offsets

void CCamTile::CalculateInverse ( | uchar * dst,
| uchar * src )

  | Perform inverse DCT calculation. Parameters:
  dst | Destination buffer; uses in_offsets
  src | Source buffer; used out_offsets
Performs reverse DCT operation; note that the in/out_offsets are also swapped.

void CCamTile::ClearInTile ( | uchar * dst )

| Clear tile. This sets the 64 pixels of the input tile to a value of 128.

void CCamTile::ClearOutTile ( | uchar * dst )

| Clear tile. This sets the 64 pixels of the output tile to a value of 128.

int CCamTile::CompareTile ( | const void * t1,
| const void * t2 )`[static]`

void CCamTile::CopyTile ( | uchar * dst,
| const uchar * src )

## Member Data Documentation

CCamTile * CCamTile::Bottom

CCamTile* CCamTile::Left

CCamTile * CCamTile::NextZag

| Neighbours

int CCamTile::PCount

CCamTile * CCamTile::Right

CCamTile * CCamTile::Top

int CCamTile::abs_value

| offsets within output image buffer

int CCamTile::in_offsets

| Location

int CCamTile::nb_value

| offsets within output image buffer

int CCamTile::out_offsets

| offsets within input image buffer

CCamTile * CCamTile::pUsedNext

| For zig-zag scanning

CCamTile * CCamTile::pUsedPrev

| For zig-zag scanning

int CCamTile::x

int CCamTile::y

The documentation for this struct was generated from the following files:

- CamTile.h
- CamTile.cc